import Vue from 'vue';
import Vuex from 'vuex';
import login from './login';
import * as muta from './user/mutations';
import * as states from './user/state';
import otheruser from './otheruser';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    login,
    otheruser,
  },
  state: { ...states },
  mutations: { ...muta },
  actions: {},
});
